<?php
//Migrations acts as a version control for the database allowing you to modify the app's database schema

//allows use of necessary libraries
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWashingMachines extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('washing_machines', function (Blueprint $table) {
            $table->id();
            $table->string("name");

            $table->foreignId("location_id")->constrained("locations", "id");
            $table->timestamps();
            $table->unique(['name', 'location_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('washing_machines');
    }
}
